cancel
Showing results for 
Search instead for 
Did you mean: 

SoapUI 5.6.0 UnsupportedClassVersionError on Windows 8.1

SOLVED
Highlighted
Occasional Contributor

SoapUI 5.6.0 UnsupportedClassVersionError on Windows 8.1

I have installed following version of Java.

 

java 15 2020-09-15
Java(TM) SE Runtime Environment (build 15+36-1562)
Java HotSpot(TM) 64-Bit Server VM (build 15+36-1562, mixed mode, sharing)

 

When I've started SoapUI 5.6, I have got following error message:

 

java.lang.UnsupportedClassVersionError: com/eviware/soapui/SoapUI has been compiled by a more recent version of the Java Runtime (class file version 53.0), this version of the Java Runtime only recognizes class file versions up to 52.0
	at java.lang.ClassLoader.defineClass1(Native Method)
	at java.lang.ClassLoader.defineClass(ClassLoader.java:763)
	at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
	at java.net.URLClassLoader.defineClass(URLClassLoader.java:467)
	at java.net.URLClassLoader.access$100(URLClassLoader.java:73)
	at java.net.URLClassLoader$1.run(URLClassLoader.java:368)
	at java.net.URLClassLoader$1.run(URLClassLoader.java:362)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(URLClassLoader.java:361)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:335)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	at com.exe4j.runtime.LauncherEngine.launch(LauncherEngine.java:81)
	at com.exe4j.runtime.WinLauncher.main(WinLauncher.java:94)
	at com.install4j.runtime.launcher.WinLauncher.main(WinLauncher.java:25)

 

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted
Community Hero

Re: SoapUI 5.6.0 UnsupportedClassVersionError on Windows 8.1

Hi @plaidshirt,

So the jre upgrade is causing problems for SoapUI v5.6.0.

What are you saying....are you asking for a workround with java 15/SoapUI v5.6.0 or are you saying something else?

If ita just a question of getting your SoapUI instance working, could you not just rollback your jre as readers of your post would infer the issue didnt occur before the jre upgrade??


Ta

Rich
if this helped answer the post, could you please mark it as 'solved'? Also if you consider whether the title of your post is relevant? Perhaps if the post is solved, it might make sense to update the Subject header field of the post to something more descriptive? This will help people when searching for problems. Ta

View solution in original post

1 REPLY 1
Highlighted
Community Hero

Re: SoapUI 5.6.0 UnsupportedClassVersionError on Windows 8.1

Hi @plaidshirt,

So the jre upgrade is causing problems for SoapUI v5.6.0.

What are you saying....are you asking for a workround with java 15/SoapUI v5.6.0 or are you saying something else?

If ita just a question of getting your SoapUI instance working, could you not just rollback your jre as readers of your post would infer the issue didnt occur before the jre upgrade??


Ta

Rich
if this helped answer the post, could you please mark it as 'solved'? Also if you consider whether the title of your post is relevant? Perhaps if the post is solved, it might make sense to update the Subject header field of the post to something more descriptive? This will help people when searching for problems. Ta

View solution in original post

New Here?
Join us and watch the welcome video:
Top Kudoed Authors